Skip Menu |
 

This queue is for tickets about the Crypt-SSLeay CPAN distribution.

Report information
The Basics
Id: 94974
Status: resolved
Priority: 0/
Queue: Crypt-SSLeay

People
Owner: nanis [...] runu.moc.invalid
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.65_15
Fixed in: (no value)



Subject: 0.65_15 refuses to build with FreeBSD 10.0 and perl 5.19.11
Download (untitled) / with headers
text/plain 417b
When executing Makefile.PL with FreeBSD 10.0 and perl 5.19.11 I get the error message: Cannot link with any of the requested SSL libraries 'ssl, crypto, ssl32, ssleay32, eay32, libeay32, z' However, on the very same system the distribution builds fine with all perls until 5.19.10 (inclusive). On this system Crypt-SSLeay-0.65_14 (and earlier versions) works even with the problematic 5.19.11. Regards, Slaven
Download (untitled) / with headers
text/plain 560b
On 2014-04-23 16:20:39, SREZIC wrote: Show quoted text
> When executing Makefile.PL with FreeBSD 10.0 and perl 5.19.11 I get > the error message: > > Cannot link with any of the requested SSL libraries 'ssl, crypto, > ssl32, ssleay32, eay32, libeay32, z' > > However, on the very same system the distribution builds fine with all > perls until 5.19.10 (inclusive). On this system Crypt-SSLeay-0.65_14 > (and earlier versions) works even with the problematic 5.19.11.
Maybe the problem is that Devel::CheckLib is not installed with the problematic perl. Regards, Slaven
Download (untitled) / with headers
text/plain 1.1k
Thank you for the report. I am a little confused by this because I have sub filter_libs { my $opt = shift; my $libs = shift; try { require Devel::CheckLib; Devel::CheckLib->import; } catch { return $libs; }; ... unless (grep /crypt|ssl|eay/, @found) { printf( "Cannot link with any of the requested SSL libraries '%s'\n", join(', ' => @$libs), ); exit 0; which means if Devel::CheckLib is not installed, you should not be getting to that message. -- Sinan On Wed Apr 23 16:39:51 2014, SREZIC wrote: Show quoted text
> On 2014-04-23 16:20:39, SREZIC wrote:
> > When executing Makefile.PL with FreeBSD 10.0 and perl 5.19.11 I get > > the error message: > > > > Cannot link with any of the requested SSL libraries 'ssl, crypto, > > ssl32, ssleay32, eay32, libeay32, z' > > > > However, on the very same system the distribution builds fine with > > all > > perls until 5.19.10 (inclusive). On this system Crypt-SSLeay-0.65_14 > > (and earlier versions) works even with the problematic 5.19.11.
> > Maybe the problem is that Devel::CheckLib is not installed with the > problematic perl. > > Regards, > Slaven
Download (untitled) / with headers
text/plain 777b
If it is at all possible, I would appreciate it if you could do perl Makefile.PL --verbose and post the output. Thank you, -- Sinan On Wed Apr 23 16:39:51 2014, SREZIC wrote: Show quoted text
> On 2014-04-23 16:20:39, SREZIC wrote:
> > When executing Makefile.PL with FreeBSD 10.0 and perl 5.19.11 I get > > the error message: > > > > Cannot link with any of the requested SSL libraries 'ssl, crypto, > > ssl32, ssleay32, eay32, libeay32, z' > > > > However, on the very same system the distribution builds fine with > > all > > perls until 5.19.10 (inclusive). On this system Crypt-SSLeay-0.65_14 > > (and earlier versions) works even with the problematic 5.19.11.
> > Maybe the problem is that Devel::CheckLib is not installed with the > problematic perl. > > Regards, > Slaven
Download (untitled) / with headers
text/plain 1007b
I apologize. I forgot that Try::Tiny's try/catch is not eval! Thank you very much. This will be fixed in 0.70. -- Sinan On Thu Apr 24 10:30:07 2014, NANIS wrote: Show quoted text
> If it is at all possible, I would appreciate it if you could do > > perl Makefile.PL --verbose > > and post the output. > > Thank you, > > -- Sinan > > > On Wed Apr 23 16:39:51 2014, SREZIC wrote:
> > On 2014-04-23 16:20:39, SREZIC wrote:
> > > When executing Makefile.PL with FreeBSD 10.0 and perl 5.19.11 I get > > > the error message: > > > > > > Cannot link with any of the requested SSL libraries 'ssl, crypto, > > > ssl32, ssleay32, eay32, libeay32, z' > > > > > > However, on the very same system the distribution builds fine with > > > all > > > perls until 5.19.10 (inclusive). On this system Crypt-SSLeay-0.65_14 > > > (and earlier versions) works even with the problematic 5.19.11.
> > > > Maybe the problem is that Devel::CheckLib is not installed with the > > problematic perl. > > > > Regards, > > Slaven
> >
Download (untitled) / with headers
text/plain 1.1k
On 2014-04-24 10:38:47, NANIS wrote: Show quoted text
> I apologize. I forgot that Try::Tiny's try/catch is not eval! > > Thank you very much. This will be fixed in 0.70. >
Confirmed, it's fixed now. Regards, Slaven Show quoted text
> -- Sinan > > > On Thu Apr 24 10:30:07 2014, NANIS wrote:
> > If it is at all possible, I would appreciate it if you could do > > > > perl Makefile.PL --verbose > > > > and post the output. > > > > Thank you, > > > > -- Sinan > > > > > > On Wed Apr 23 16:39:51 2014, SREZIC wrote:
> > > On 2014-04-23 16:20:39, SREZIC wrote:
> > > > When executing Makefile.PL with FreeBSD 10.0 and perl 5.19.11 I get > > > > the error message: > > > > > > > > Cannot link with any of the requested SSL libraries 'ssl, crypto, > > > > ssl32, ssleay32, eay32, libeay32, z' > > > > > > > > However, on the very same system the distribution builds fine with > > > > all > > > > perls until 5.19.10 (inclusive). On this system Crypt-SSLeay-0.65_14 > > > > (and earlier versions) works even with the problematic 5.19.11.
> > > > > > Maybe the problem is that Devel::CheckLib is not installed with the > > > problematic perl. > > > > > > Regards, > > > Slaven
> > > >
> >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.